## org.eclipse.emf.transaction
Interface TransactionalEditingDomainListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  TransactionalEditingDomainListenerImpl

    public interface TransactionalEditingDomainListener

extends EventListener

A listener interface providing notifications of changes to a transactional editing domain. This differs from the `ResourceSetListener` which notifies of changes to the resource-set managed by the editing domain. The events that occur in a transactional editing domain are:

- pre-notification of the starting of a top-level transaction
- successful start of a top-level transaction
- interrupted start of a top-level transaction (thus a non-start)
- pre-notification of the closing of a top-level transaction
- successful or failed close of a top-level transaction
- disposal of the editing domain

The `TransactionalEditingDomainListenerImpl` class provides convenient empty implementations of the listener methods, suitable for subclassing to selectively implement these call-backs.

Since:
  1.3
See Also:
  `TransactionalEditingDomain.Lifecycle`, `TransactionalEditingDomainListenerImpl`

Method Summary
`void` `editingDomainDisposing(TransactionalEditingDomainEvent event)` Signals that the transactional editing domain to which the lister is attached is to be disposed.
`void` `transactionClosed(TransactionalEditingDomainEvent event)` Signals that a transaction has closed, either with a successful commit or with a roll-back.
`void` `transactionClosing(TransactionalEditingDomainEvent event)` Signals that a transaction has finished its work and is about to close.
`void` `transactionInterrupted(TransactionalEditingDomainEvent event)` Signals that a transaction that has requested activation was interrupted before it could start.
`void` `transactionStarted(TransactionalEditingDomainEvent event)` Signals that a transaction has been activated.
`void` `transactionStarting(TransactionalEditingDomainEvent event)` Signals that a transaction has requested activation, but is not yet started.

Method Detail

### transactionStarting

    void transactionStarting(TransactionalEditingDomainEvent event)

  Signals that a transaction has requested activation, but is not yet started. Note that any number of transactions may be in this state simultaneously, on different threads, but obviously only one will actually start.

  This event is not sent for nested transactions, nor for a transaction's resumption from the yielded state.

  Parameters:
    `event` - indicates the transaction that is about to start

### transactionInterrupted

    void transactionInterrupted(TransactionalEditingDomainEvent event)

  Signals that a transaction that has requested activation was interrupted before it could start. Thus, this indicates a failed start.

  This event is not sent for nested transactions.

  Parameters:
    `event` - indicates the transaction that was interrupted

### transactionStarted

    void transactionStarted(TransactionalEditingDomainEvent event)

  Signals that a transaction has been activated.

  This event is not sent for nested transactions, nor for a transaction's resumption from the yielded state.

  Parameters:
    `event` - indicates the transaction that has started

### transactionClosing

    void transactionClosing(TransactionalEditingDomainEvent event)

  Signals that a transaction has finished its work and is about to close. This may be the beginning of the normal commit sequence of trigger firing followed by validation (subsequently rolling back, if necessary), or an explicit roll-back requested by the transaction, itself.

  This event is not sent for nested transactions, nor for a transaction's entry into the yielded state.

  Parameters:
    `event` - indicates the transaction that is about to close

### transactionClosed

    void transactionClosed(TransactionalEditingDomainEvent event)

  Signals that a transaction has closed, either with a successful commit or with a roll-back. The status of the transaction will indicate which has occurred; an IStatus.ERROR indicates roll-back. This event is sent after all post-commit notifications have gone out to `ResourceSetListener`s.

  This event is not sent for nested transactions.

  Parameters:
    `event` - indicates the transaction that has closed

### editingDomainDisposing

    void editingDomainDisposing(TransactionalEditingDomainEvent event)

  Signals that the transactional editing domain to which the lister is attached is to be disposed. Disposal result, among other things, in the removal of the listener from it.

  Parameters:
    `event` - indicates the editing domain that is being disposed. The event has no transaction

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.